# flopc::RowMajor Class Reference
[Internal (private) interface.]

Utility class to flatten multidimensional information into single dimentional offset information. More...

`#include <MP_utilities.hpp>`

Inheritance diagram for flopc::RowMajor:
[legend]

List of all members.

## Public Member Functions
int | size () const
## Protected Member Functions
| RowMajor (int s1, int s2, int s3, int s4, int s5)
int | f (int i1=0, int i2=0, int i3=0, int i4=0, int i5=0) const
## Protected Attributes
int | size1
int | size2
int | size3
int | size4
int | size5
int | size_

## Detailed Description

Utility class to flatten multidimensional information into single dimentional offset information.

Definition at line 69 of file MP_utilities.hpp.

## Constructor & Destructor Documentation

flopc::RowMajor::RowMajor | ( | int | s1,
|  | int | s2,
|  | int | s3,
|  | int | s4,
|  | int | s5 |
| ) |  |  | `[inline, protected]`

Definition at line 73 of file MP_utilities.hpp.

## Member Function Documentation

int flopc::RowMajor::size | ( |  | ) | const`[inline]`

Definition at line 71 of file MP_utilities.hpp.

int flopc::RowMajor::f | ( | int | i1 = `0`,
|  | int | i2 = `0`,
|  | int | i3 = `0`,
|  | int | i4 = `0`,
|  | int | i5 = `0` |
| ) |  |  | const`[inline, protected]`

Definition at line 76 of file MP_utilities.hpp.

## Member Data Documentation

int flopc::RowMajor::size1`[protected]`

Definition at line 87 of file MP_utilities.hpp.

int flopc::RowMajor::size2`[protected]`

Definition at line 87 of file MP_utilities.hpp.

int flopc::RowMajor::size3`[protected]`

Definition at line 87 of file MP_utilities.hpp.

int flopc::RowMajor::size4`[protected]`

Definition at line 87 of file MP_utilities.hpp.

int flopc::RowMajor::size5`[protected]`

Definition at line 87 of file MP_utilities.hpp.

int flopc::RowMajor::size_`[protected]`

Definition at line 87 of file MP_utilities.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_utilities.hpp